<!-- <sly data-sly-use.clientlib="/libs/granite/sightly/templates/clientlib.html">
  <sly data-sly-call="${clientlib.css @ categories='hdfchomeloan.blogHeader'}" /> -->
</sly>

<div class="backdrop hidden"></div>

<div class="mobile-blog-navbar mn-hidden">
  <div class="blog-navbar-logo-div">
    <a href="${properties.logoLink}">
      <img src="${properties.logoPath}" alt="${properties.logoAltText}" />
    </a>

    <button class="mobile-nav-close-btn"><img src="/content/dam/housingdevelopmentfinancecorp/blog-header/icons/close.svg" alt="Menu Icon" /></button>
  </div>

  <ul class="mn blogs-nav-links-list">
    <!-- <sly data-sly-use.mobileNavPath="${properties.path}" data-sly-list.mobileNavMf=${mobileNavPath.children}> -->
    <sly data-sly-list.mobileNavMf=${resource.children}>
      <sly data-sly-test="${mobileNavMf.name == 'mobNavLinksFieldset'}">
        <sly data-sly-list.mobNavLinks=${mobileNavMf.children}>
          <li class="mn blogs-nav-list-item">
            <a href="${mobNavLinks.navLinkAddress}" class="mn blogs-nav-link">${mobNavLinks.navLinkText}</a>
          </li>
        </sly>
      </sly>
    </sly>
    <!-- </sly> -->
  </ul>
</div>

<header class="header-sticky">
  <section class="blog-navbar-section blogCommonContainer">
    <div class="blog-navbar-logo-lang-div">
      <div class="blog-navbar-logo-div">
        <a href="${properties.logoLink}">
          <img src="${properties.logoPath}" alt="${properties.logoAltText}" />
        </a>
      </div>

      <div class="blog-navbar-lang-div">
        <select id="lang-options">
          <!-- <sly data-sly-use.langSelectPath="${properties.path}" data-sly-list.langSelectMf=${langSelectPath.children}> -->
          <sly data-sly-list.langSelectMf=${resource.children}>
            <sly data-sly-test="${langSelectMf.name == 'blogLangSelectFieldset'}">
              <sly data-sly-list.langOptions=${langSelectMf.children}>
                <option value="${langOptions.blogLangValue}">${langOptions.blogLangName}</option>
              </sly>
            </sly>
          </sly>
          <!-- </sly> -->
        </select>
      </div>
    </div>

    <div class="blog-navbar-search-social-div">
      <div class="blog-navbar-search-div">
        <form id="blog-navbar-search-form">
          <span>
            <button type="submit" class="blog-navbar-search-btn">
              <img src="${properties.searchIconPath}" alt="Search Icon" />
            </button>
          </span>
          <label for="search-blogs">Search</label>
          <input id="search-blogs" class="blog-navbar-search-inp" type="text" placeholder="${properties.searchPlaceholder}" />
        </form>
      </div>

      <div class="blog-navbar-social-div">
        <!-- <sly data-sly-use.blogSocialPath="${properties.path}" data-sly-list.blogSocialMf=${blogSocialPath.children}> -->
        <sly data-sly-list.blogSocialMf=${resource.children}>
          <sly data-sly-test="${blogSocialMf.name == 'blogSocialIconsFieldset'}">
            <sly data-sly-list.socialIcons=${blogSocialMf.children}>
              <div class="blog-navbar-social-icon-wrap">
                <a href="${socialIcons.socialIconLink}">
                  <img src="${socialIcons.socialIconPath}" alt="${socialIcons.socialIconAltText}" class="blog-navbar-social-icon" />
                </a>
              </div>
            </sly>
          </sly>
        </sly>
        <!-- </sly> -->
      </div>

      <div class="mobile-nav-btn-div">
        <button class="mobile-nav-open-btn"><img src="/content/dam/housingdevelopmentfinancecorp/blog-header/icons/hamburger.svg" alt="Menu Icon" /></button>
      </div>
    </div>
  </section>
</header>

<sly data-sly-use.clientlib="/libs/granite/sightly/templates/clientlib.html">
  <sly data-sly-call="${clientlib.js @ categories='hdfchomeloan.blogHeader'}" />
</sly>